Printago API
GET /v1/print-jobs/{id}/matching-troubleshoot

Get job matching troubleshooting details

Get troubleshooting details for why a job is or isn't matching to each printer

Requires: queue.view

Path Parameters

id required
string
The print job ID

Response Schema

PrintJobMatchingTroubleshoot
printersrequired
object[]
checksrequired
object[]
coderequired
enum
enabledonlineavailablereadyprofiles-configuredsubscription-slotsslots-loadedtags-matchmaterial-matchfilament-profilesin-maintenancestaggered-start-hold
contextoptional
object
materialIdoptional
string
pattern: ^[a-z0-9]{24}$
staggeredStartActiveoptional
number
staggeredStartGroupIdoptional
string
Populated on a failed `staggered-start-hold` check: the holding group + capacity.
pattern: ^[a-z0-9]{24}$
staggeredStartGroupNameoptional
string
staggeredStartLimitoptional
number
tagComparisonsoptional
object[]
Populated on a failed `tags-match` check: every required tag and whether it matched.
variantIdoptional
string
pattern: ^[a-z0-9]{24}$
messagerequired
string
passedrequired
boolean
compatiblerequired
boolean
firstFailedCheckoptional
enum
enabledonlineavailablereadyprofiles-configuredsubscription-slotsslots-loadedtags-matchmaterial-matchfilament-profilesin-maintenancestaggered-start-hold
matchedrequired
boolean
printerIdrequired
string
pattern: ^[a-z0-9]{24}$
printerNamerequired
string
printJobIdrequired
string
pattern: ^[a-z0-9]{24}$

Example Response

200 OK — application/json
{
  "printJobId": "string",
  "printers": [
    {
      "printerId": "string",
      "printerName": "string",
      "matched": true,
      "compatible": true,
      "checks": [
        {
          "code": "enabled",
          "passed": true,
          "message": "string",
          "context": {
            "materialId": "string",
            "variantId": "string",
            "tagComparisons": [
              {
                "key": "string",
                "label": "string",
                "requirement": "string",
                "actual": "string",
                "matched": true
              }
            ],
            "staggeredStartGroupId": "string",
            "staggeredStartGroupName": "string",
            "staggeredStartActive": 1,
            "staggeredStartLimit": 1
          }
        }
      ],
      "firstFailedCheck": "enabled"
    }
  ]
}